Bug 1470700 - ps2pdf crashes on s309x only: Error: /invalidfont in /findfont
ps2pdf crashes on s309x only: Error: /invalidfont in /findfont
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
27
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
:
Depends On: 1376476 1458840
Blocks: 1307402
  Show dependency treegraph
 
Reported: 2017-07-13 09:36 EDT by Petr Pisar
Modified: 2017-10-12 10:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghostscript-9.20-13.fc27, ghostscript-9.20-13.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-12 10:11:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-13 09:36:14 EDT
When rebuilding cook-2.34-14.fc27, it failed on s390x only <https://koji.fedoraproject.org/koji/taskinfo?taskID=20496256> when converting a PostScript file to PDF using ps2pdf program:

+ ps2pdf refman.ps
Error: /invalidfont in /findfont
Operand stack:
   Times-Italic@0   --nostringval--   Times-Italic
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1983   1   3   %oparray_pop   1982   1   3   %oparray_pop   1966   1   3   %oparray_pop   1852   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1935   3   4   %oparray_pop
Dictionary stack:
   --dict:1205/1684(ro)(G)--   --dict:0/20(G)--   --dict:79/200(L)--   --dict:59/120(L)--
Current allocation mode is local
Last OS error: Not a directory
Current file position is 5641
GPL Ghostscript 9.20: Unrecoverable error, exit code 1

It's ghostscript-9.20-10.fc27.
Comment 1 Jan Kurik 2017-08-15 04:23:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Jerry James 2017-09-28 23:44:30 EDT
I'm seeing something similar on x86_64 tonight, Rawhide, when building gfan, but it is complaining about Times-Roman rather than Times-Italic.  This is with ghostscript-9.20-12.fc27.

$ dvipdf manual.dvi
Error: /invalidfont in /findfont
Operand stack:
   --nostringval--   Times-Roman
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1983   1   3   %oparray_pop   1982   1   3   %oparray_pop   1966   1   3   %oparray_pop   1852   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1935   2   6   %oparray_pop
Dictionary stack:
   --dict:1204/1684(ro)(G)--   --dict:0/20(G)--   --dict:79/200(L)--   --dict:202/300(L)--   --dict:73/200(L)--   --dict:42/200(L)--
Current allocation mode is local
Last OS error: Not a directory
GPL Ghostscript 9.20: Unrecoverable error, exit code 1
Comment 3 David Kaspar [Dee'Kej] 2017-10-02 06:13:55 EDT
I already have a new package in Rawhide (ghostscript-9.20-13), which should be using updated fonts package: urw-base35-fonts

Could you please check in Rawhide this is working for you?

I have also build it for F27, and I will create a Bodhi update for it today, that should go out together with new fontconfig and the new fonts.

The previous (faulty) package of urw-base35-fonts-20170801-1 was unpushed from F26 and F25, and I do not expect the package to land there at all now.

So I need to make sure this will work OK in F27+, so any help in this matter is welcomed.
Comment 4 Petr Pisar 2017-10-02 07:31:22 EDT
I tried rebuilding cook package at a commit that uses ghostscript via ps2pdf <https://koji.fedoraproject.org/koji/taskinfo?taskID=22209896> and it passed.
So I think this issue is resolved in F28.
Comment 5 David Kaspar [Dee'Kej] 2017-10-02 08:18:36 EDT
(In reply to Petr Pisar from comment #4)
> I tried rebuilding cook package at a commit that uses ghostscript via ps2pdf
> <https://koji.fedoraproject.org/koji/taskinfo?taskID=22209896> and it passed.
> So I think this issue is resolved in F28.

Thank you for letting me know. I will release the F27 build once we coordinate it with the new fontconfig package release.

 -- Dee'Kej --

Note You need to log in before you can comment on or make changes to this bug.